Metric Collection Job
Create and run a metric collection job
Creates a metric collection job for the specified calls or chats and metrics, then triggers processing. Provide exactly one of callIds or chatIds.
POST
/
v1
/
metric
/
collection-jobs
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const metricCollectionJob = await client.metricCollectionJob.create({
metrics: [{ id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' }],
});
console.log(metricCollectionJob.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
metric_collection_job = client.metric_collection_job.create(
metrics=[{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}],
)
print(metric_collection_job.data)curl --request POST \
--url https://api.roark.ai/v1/metric/collection-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"callIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"chatIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalItems": 123,
"completedItems": 123,
"failedItems": 123,
"startedAt": "<string>",
"completedAt": "<string>",
"errorMessage": "<string>",
"policyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Input for creating and running a metric collection job. Limits: ≤500 conversations, ≤20 metrics, ≤5000 total items per request.
Metric definitions to collect. Max 20 per request.
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Call IDs to collect metrics for. Mutually exclusive with chatIds. Max 500 per request.
Required array length:
1 - 500 elementsChat IDs to collect metrics for. Mutually exclusive with callIds. Max 500 per request.
Required array length:
1 - 500 elementsResponse
The created metric collection job
A metric collection job that processes metrics for calls or chats
Show child attributes
Show child attributes
Previous
Get metric collection job by IDReturns a specific metric collection job with progress information.
Next
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const metricCollectionJob = await client.metricCollectionJob.create({
metrics: [{ id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' }],
});
console.log(metricCollectionJob.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
metric_collection_job = client.metric_collection_job.create(
metrics=[{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}],
)
print(metric_collection_job.data)